## smw 1.7-3

=== Makefile ===
all : smw


COMMON_OBJS:=build/MapList.o build/SFont.o build/dirlist.o build/gfx.o \
           build/global.o build/input.o build/map.o \
           build/movingplatform.o build/path.o build/savepng.o
SMW_OBJS:= build/HashTable.o build/ai.o build/eyecandy.o \
           build/gamemodes.o build/main.o build/map.o build/menu.o \
           build/object.o build/player.o build/sfx.o build/splash.o \
           build/uicontrol.o build/uimenu.o
LEVELEDIT_OBJS:=build/leveleditor.o

include configuration
#here because of one .c file among a .cpp project (o_O)

build/%.o : _src/%.cpp
	$(CXX) $(CFLAGS) -o $@ -c $<

smw : $(COMMON_OBJS) $(SMW_OBJS)
	$(CXX) $(CFLAGS) $^ $(LDFLAGS) -o $@

leveledit : $(COMMON_OBJS) $(LEVELEDIT_OBJS)
	$(CXX) $(CFLAGS) $^ $(LDFLAGS) -o $@

build/SFont.o : _src/SFont.c
	$(CC) $(CFLAGS) -o $@ -c $<

build/SDLMain.o : macosx/SDLMain.m
	$(CC) $(CFLAGS) -o $@ -c $<

Super\ Mario\ War.app : smw
	mkdir -p '$@/Contents/Resources' 
	mkdir -p '$@/Contents/MacOS'
	mkdir -p '$@/Contents/Frameworks'
	cp -r /Library/Frameworks/SDL.framework \
		/Library/Frameworks/SDL_image.framework \
		/Library/Frameworks/SDL_net.framework \
		/Library/Frameworks/SDL_mixer.framework \
		'$@/Contents/Frameworks/'
	cp smw '$@/Contents/MacOS/Super Mario War'
	cp macosx/Info.plist '$@/Contents/'
	echo -n 'APPL????' > '$@/Contents/PkgInfo'
	cp -r macosx/smw.icns gfx maps music sfx tours \
		'$@/Contents/Resources/'

appbundle : Super\ Mario\ War.app

install : install-data install-bin install-leveledit

install-data : all
	mkdir -p $(DESTDIR)/usr/share/smw/
	cp -ravx sfx $(DESTDIR)/usr/share/smw/
	cp -ravx gfx $(DESTDIR)/usr/share/smw/
	cp -ravx music $(DESTDIR)/usr/share/smw/
	cp -ravx maps $(DESTDIR)/usr/share/smw/
	cp -ravx tours $(DESTDIR)/usr/share/smw/
	rm -rf $(DESTDIR)/usr/share/smw/*/CVS
	rm -rf $(DESTDIR)/usr/share/smw/*/*/CVS
	rm -rf $(DESTDIR)/usr/share/smw/*/*/*/CVS
	rm -rf $(DESTDIR)/usr/share/smw/*/*/*/*/CVS
	rm -rf $(DESTDIR)/usr/share/smw/*/.cvsignore
	rm -rf $(DESTDIR)/usr/share/smw/*/*/.cvsignore
	rm -rf $(DESTDIR)/usr/share/smw/*/*/*/.cvsignore
	rm -rf $(DESTDIR)/usr/share/smw/*/*/*/*/.cvsignore
	chmod a+w $(DESTDIR)/usr/share/smw/maps -R

install-bin : all
	#assume DESTDIR is the prefix for installing
	mkdir -p $(DESTDIR)/usr/bin/
	cp smw $(DESTDIR)/usr/bin/

install-leveledit : all
	mkdir -p $(DESTDIR)/usr/bin/
	cp leveledit $(DESTDIR)/usr/bin/smw-leveledit

clean :
	rm -rf build/* 
	rm -f smw
	rm -f leveledit
	rm -f smw.exe
	rm -f leveledit.exe
	rm -f options.bin
	rm -rf 'Super Mario War.app'

dpkg :
	rm -f ~/src/*.dsc
	rm -f ~/src/*.diff.gz
	rm -f ~/src/*.deb
	rm -f ~/src/*.changes
	cvs-buildpackage -W ~/src -UHEAD -THEAD -rfakeroot
	sudo reprepro -b /webroot/apt include sid $(HOME)/src/*.changes

## smw 1.7-1

=== debian/changelog ===
smw (1.7-1) unstable; urgency=low

  * Initial release

 -- CepiPerez <cepiperez@gmail.com>  Tue, 20 Apr 2010 17:30:34 -0300

=== debian/control ===
Source: smw
Section: user/games
Priority: extra
Maintainer: CepiPerez <cepiperez@gmail.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libpng12-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev
Standards-Version: 3.7.2

Package: smw
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Super Mario War.
 2D Platform game ported to Maemo 5.
XSBC-Bugtracker: mailto:cepiperez@gmail.com
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9kCDwoRHn8HP9QAAA1jSURBVGje1Zp5kJXVmcZ/59vu8t17e1/Bhga0
 WQQEBVQE0SERUVIuSTliNIuiGSVkMVUZnWFqqpwkpkZjgimtxKR0HFNUadCk
 ppFMESOKSwWDQNi7m+4Geu/bffvu337mj24Ulzgo3Uk8VbfuvXWrvvs+5zzn
 eZ/zvgc+5UN8xG8bgHqg+DeOMQL0AJvOGICiqMviFbXNQogEcpxnTBH4rksm
 1U8kFiNsxskODeK5LqFQiMrKSgzDwHEckskkruuAJBNIeS2w80wArAtF4w/f
 +eAL8ZqGmdiF7LgCCJsJejsO8cQ/38DyW29lxdqv8tQ3bqfr8EEWLFrMpk2b
 mD9/Pvv27WPDhg20Hj2CIiX9w6kscC/wxOnP094f/JTZi9dfcPkN8cY5F1Na
 bUrX/kiafXw+xEBKiVBUQiWlzF16Iffd/y/85uknOdzSyvZt22g5dJCTJ05Q
 HB5g3vIVcsqlK8Xett54565X1w/veYXTQWin00YPRx++4PIb4tfd812ZTfmk
 k5YQYlzjR8oQViELUpLLpNEFfOWmLxDzHX74yI955oXf4kuJQOCFSlm+6nqx
 5PYvymg/2N//4bzM0bcf9u3CEen7O08HsCFeUfvAbRv/K94452KyKZ/A9/4K
 CiLwPcgKyXWrVzFvySW8kpPkJNgu7OoTmOeU4KZ8ioOCpn9cT83ci+Jv/tuX
 mosD3RuBTacA1AshEjUNMymtNmU6aQmA8Z79v7gqnkcuVk4uVkGFA3EJfgDK
 ZMgXJPv6bGFZklitKYPcTCGESIwp5DsrUESCXcji2nxs2kg5KlVCKB8JWsrg
 3c9IEAJFAV1V6S64HCgESAkIgQCqBbR70JsXBFKg2AivkGVMGYsAynjOpKrp
 6GEdPfS+V1hHM3Q4BU5KAj9A0TQMA3RVYVZc57MxiI5FVPRgZzdICcsmQUQD
 L/jgf2pnvykliqoSNnXa9u+mdd/LqJoBAgIkQSBxXYt4STWLr7gZswTCsVJK
 6idxfN8ennnwUf7g5bn0yiuZfuligqKL9Hw0RTAlDm4Ax7OjwStiHAGcoo2i
 qkgpSSVTnNy5hdbnN6GGImiKhoaCpqn4xTxO/XSSDbPx5HwKw10saWwg1X2E
 Q089xB7LoqtYZFHNdEzTRFUUFClpSEB7Gk6kIZBgiAlYgbCpk0qm+PXj32TG
 m7/j7lQeS8lTKqM06OVMramiIlZHW17w3V/ex35VcL6m8IPqCOcsWEiuShAS
 gifffplf3XuEmx/4T+qmNTA0YrOrD+rNUQrt6gN7PCkkhIKqjdKm69UtzHnt
 RWYnk0wB1EDFRKHScagdyhJSNMp9h6u60ixwbUwzymvzprKsspYlSgxQ0LsO
 0N7Xh+vYCAU0hYmj0CjvFbSQoG3fDg69sIkvpYskgC49zAKjiqjQyPgeO+ws
 EVUhpigscnRCgcrxgsLGzgEGgfMGPVIKyFAV8xdOJhQK4XqgK0wshYRQ0A0w
 tDApLcrTteUEiqApHuXKmVM4NxJmdzrHppYuVleVsqoiwb8fOklHroiuKYzo
 KtqRAQ7u6eF7lSor/2kdT91+F68HJnnLwfKYOAppeohCdpjd27dSn9rNfVc3
 4RshXu7McLSnwC/SOdbWh4lOKqGlvYdLq0NMW1TFNbUB/aEIphlFpEc4f8dx
 UkdGaDd0umLlZCorCIZ8cN2JVSHVEBRzI7z660e4c7rHN69ZCEgMK2BX6zCP
 t/RQN8XgpmmVLKwMI0KSpOFy56xKjNpaKCmB/m6GW1O8diSJqUIyb3EoD04Q
 gBDo4swodHaJTAE/6cFhGw47FAddLCRSQNH2qY4YPHljE7omuOu5VroPFGHX
 ANb2Vuz9eZRhiU5AtlBkhupylflXSmS+I4nESrn889+mZ+9W/uON/aiRBOGQ
 zveaJpO2PZZWxkl5HluPDvP79hEO9OV5RO2jUlNwpESJGHjZLEypY90tNzDr
 shUcykvsYDS/TKgKea5NxCzlsutv5XVV44ljraSHknztnAq+1VhHTAjMEp2W
 YYdn/zTIUMZldlmUXdk8PkAgkQWHnnyGqfPm0PytDRQrq/h9nzVqc4SYeBWS
 MsC1VS5YdTMl087nfx69hyePd3DUdnlkRi1mv091EPDQrAYcKVCFxAgkvqFi
 jxSx/vcwj+ez/LlQIJ3P01hZxVVxeDUPBTlKoXFXoVP2IWSGsfIWb2x9hnlD
 GdZkLOYWVdrTMJRP8/PqBZixBqrcDBcd3Makoks2VkVzuc5cy2fOQI5nFY/w
 1WtY8+W11NRPIg+02eCOncHHnUJSSoQQCEXFztt0te7m9d/+FHXvfi7D5Oba
 BhQ3xB8Lgge6dY6WNVCnOXR3Ps/FQyfxSLJlUgknMg59WZuf1YeZtnQRK5au
 pKu7l2HDpNMowccHKdEVcUYUUsfeV4TNxIolV99GoqISz/E/XHRUjWhC463f
 bWbbz+/HymboLImzN6qjD3ZSE44wo7SaWZ0HsAoF9pXU0zF7OdLOMi15hNVZ
 mzah8rPqMEEsQupYB29s2cJzmzdzbk05N11yAZ0O2EGA5Qne7IW4DudXwkAB
 XFXDGU7SsfW/cfOZHcAr2sdKXplh3t7eTGnydb6+sh4tksAashg+1s/2oEje
 trki24Vp96EdtzAbonzlju8QXFTFjubpTCJO05JGbqsWPPXYM8ys6OeyOT0c
 3NnDweYneVqCvuxqtNIy/MAZXwqphqCQG+GVZ3/E+qVlfPuOVaPnvr29tFgB
 a/MuxfYOEpkBcsAJNUu5kuRz50Z4ve4zbNZmIZGsv7iWW6J9/HHb83x2geCO
 K8P8qSB57KWX2HI0w9fnXkJ9TTmBMwEqJAChKPgjI9DejudKtJSNUBR0GZDw
 AzxgS3Up/fNWE29azb3PHKQYCDQrAFXnsQc3s83ewcZ1RYxum+2/PEHIkxjG
 u8FoYgJUyHMCoolyPnPbRk4ce4lHmndzSVWWnsEwO46HyTs+JyMaO8JVJBdc
 jV89l3zK5mDXMVRFIWQYCNWgt60NabVRlalFpn26ewIOFyN4C/+BFctuIlpS
 gmPL8VehwHMxwlFmXXwNO7taeOvlXxGbkabFTrAjNwnX8+msqOFE+VRKp18B
 OY9CVwdCUQkCi4Jvg9BQ3SwRPcbIfoHpSDwDtrXFWHrjGm782hcZHPKwLfuM
 VeiMAejhEKnek2z7xf3MSL3EnU1pNAk3zAxxbcTgX7cP01d7JaXnraDQN4hf
 dBBGBKHoeAOH8AffAkXHtRz8MknIgIgQaIBjFZge5FgOvIgkIxh/O60o4LkO
 XS17OFftZWYjJMoqOZ7XeeNkkUJ8AWp0Bm5RxXfAHenAz3YQBDD1vPNoXLEB
 3/fwlQhhP8PzJ7Yx0lFgxK/krrvXMXf55RwY80IC8Qkp9BHlIBmAqhvUz5iP
 N9TH8XyaOXWVvDVYwua+MvTEDEQuRz6zBxSNqJYjFM3h2jZNFyxh8fVfxrPB
 iEB/Zz9PbXyRvp4Yy1as5OFvfIdMeTl/OFsvpCBQPsRjCyHwHJdYaRXXbXiU
 vb95iB80/wRjby8LPv9V1l67muZN9zDU3YZuhPEci7mfu4vFa36CaxUIRRMU
 0j7IAFXVsfIZuttbmLfmWtZ+/0fIaJRzfPfsvJCPZMAuIqwAyyqMar8qkBLy
 BY8SQ6cqbhKtLmfykhvJq2UEgU/F3Kuoa5zFolW3kE/1oWohfM+hccFKyupq
 CHzwbInn2mOWRCfwPRyriFlWRnVDKarrM2C5HHPEJ/dCEklOc4noDrbuvuN/
 irbPQMqmMRGjyoxQzFg0nLeQxjkXviOvvueycPU6hMJo2U+A70oKaeudFTxV
 cjxVOlRVFd9xsC0QSkDSFxxzRqmC+ASHek0TNE41mdwUxspIFAUGBm26uoqo
 QqCcKgsKge+5BL54j0P1HPdDnev/axIBT8LsMJSrZ0EhIQTRiIoZBeGqqKog
 8C1yWQ8ZSN5bs5UfCPD0wu3pzzyT7K4IGPTgmPPx7bRy+kzYToDrQhCMBlgs
 +mRzLoGc2FK7wgcBnKKQEHAiMwrkIwEEviQ17FIsgq4rqKpAUQSCie0RnE6h
 s6lORwC0SJSRAnK4zxeqKkjldHQzhkSihWOEogZ+wFk1LsMmGGGTIBgtr0fD
 UIKOBfQroweUEKD6MA0IAugLQEbAiCG1aEy8J+axLz0gMyNd7YmhIV+c7ByR
 IFEUIRQFfCkZsWIM5GP4Uo5JyScbITPBcG8HqqZhZ7N0HRukVSnQbvm8XYSw
 GKWFEFChwtFhOJoSMqIL1FBYZE+0IpGZsd7xu/wwzNgyIxrbWl5eGS8tq5K5
 go0fBKPdGinRVAVNOaWTZ9EXE8pon3i4l5AZI15WThiJKyW2fG8SFQIcH3wU
 mTBDJAcHxODgYNYr5K7xC9mdH2Ye1gHrp9aVzbv7C4uZXJ2QRdsVAH4gCeT4
 dL0VRSUUjeE5DnaxiDe2GTXx7r44NWIRXfYOZMRjz+2icyD9Z+CnH9pmHRtP
 ADie+/DyC6fEm6ZWilzB+ZveM4hFDXG0M8mPn30z+/7g/6J9S5jGspJ4pFlA
 4u/hQoeETDpbvDaTd87oqsGn6rLHp378H0CL0cYpkfkAAAAAAElFTkSuQmCC

## smw 1.7-2

=== debian/changelog ===
smw (1.7-2) unstable; urgency=low

  * Some fixes
  * Keyboard layout support

 -- CepiPerez <cepiperez@gmail.com>  Tue, 20 Apr 2010 17:30:34 -0300

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
 Package: smw
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Super Mario War.
- 2D Platform game ported to Maemo 5.
+Description: Super Mario War is a Super Mario multiplayer game.
+ The goal is to stomp as many other Marios as possible to win the game.
 XSBC-Bugtracker: mailto:cepiperez@gmail.com
+XSBC-Maemo-Display-Name: Super Mario War.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make
	#docbook-to-man debian/hexen2.sgml > hexen2.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	make clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/hexen2.
	cp -rf $(CURDIR)/gfx $(CURDIR)/debian/smw/opt/smw/data/
	cp -rf $(CURDIR)/maps $(CURDIR)/debian/smw/opt/smw/data/
	cp -rf $(CURDIR)/music $(CURDIR)/debian/smw/opt/smw/data/
	cp -rf $(CURDIR)/sfx $(CURDIR)/debian/smw/opt/smw/data/
	cp -rf $(CURDIR)/tours $(CURDIR)/debian/smw/opt/smw/data/
	cp $(CURDIR)/smw.desktop $(CURDIR)/debian/smw/usr/share/applications/hildon/smw.desktop
	cp $(CURDIR)/smw-48.png $(CURDIR)/debian/smw/usr/share/icons/hicolor/48x48/hildon/smw.png
	cp $(CURDIR)/smw-64.png $(CURDIR)/debian/smw/usr/share/icons/hicolor/64x64/hildon/smw.png
	cp $(CURDIR)/smw $(CURDIR)/debian/smw/opt/smw/smw
	cp $(CURDIR)/smw.sh $(CURDIR)/debian/smw/usr/bin/smw

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## smw 1.7-3

=== debian/changelog ===
smw (1.7-3) unstable; urgency=low

  * Package name changed

 -- CepiPerez <cepiperez@gmail.com>  Sat, 15 May 2010 11:33:25 -0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Description: Super Mario War is a Super Mario multiplayer game.
  The goal is to stomp as many other Marios as possible to win the game.
 XSBC-Bugtracker: mailto:cepiperez@gmail.com
-XSBC-Maemo-Display-Name: Super Mario War.
+XSBC-Maemo-Display-Name: SMW
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
